import request from '@/utils/request'

//装备装备类目树结构数据
export function getOrderListApi(query) {
    return request({
        url: '/material-mall/comprehensive/orderDetails',
        method: 'get',
        params: query
    })
}

//获取订单列表详情
export function getOrderListInfoApi (query)  {
    return request({
        url: '/material-mall/order/getOrderDetailsById',
        method: 'get',
        params: query
    })
}


export function getOverhaulApi (orderId)  {
    return request({
        url: '/material-mall/lease-repair/getById',
        method: 'get',
        params: {
            orderId: orderId
        }
    })
}


// 获取装备列表
export function getEquipmentListApi(query) {
    return request({
        url: '/material-mall/comprehensive/devList',
        method: 'get',
        params: query
    })
}

// 获取装备详情
export function getRentDetailApi(query) {
    return request({
        url: '/material-mall/comprehensive/rentDetails',
        method: 'get',
        params: query
    })
}









